package com.heyu.api.data.service.operation;
/**
* <p>
* 场景列表，同一个时间点，如果行为有冲突，以最后添加的条件为准（时间精度：分） 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.baomidou.mybatisplus.extension.service.IService;
import com.heyu.api.data.entity.operation.OperatinSceneEntity;
public interface OperatinSceneService extends IService<OperatinSceneEntity> {



	OperatinSceneEntity selectOperatinSceneById(Long id);


	Long insertOperatinScene(OperatinSceneEntity operatinScene);


	Long insertOrUpdateOperatinScene(OperatinSceneEntity operatinScene);


	int updateOperatinSceneById(OperatinSceneEntity operatinScene);


	int updateCoverOperatinSceneById(OperatinSceneEntity operatinScene);


	int deleteOperatinSceneById(Long id);


}